from launcher import config


def build_base_url(url: str) -> str:
    """
    构建xx.zhaozuohong.vip，如果配置base_mirror是1，在.zhaozuohong.vip前添加-cf前缀
    :param url: 带有xx.zhaozuohong.vip的url字符串
    :return: 构建完成的url
    """
    if config.conf.base_mirror == "1":
        url = url.replace(".zhaozuohong.vip", "-cf.zhaozuohong.vip")
    return url
